This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 241465 - Crashes on startup
Crashes on startup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blam (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-25 22:55 EDT by Bill Nottingham
Modified: 2014-03-16 23:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.8.3-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 12:43:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-05-25 22:55:23 EDT
Description of problem:

When starting blam, it churns for 20-30 seconds, then crashes.

strace shows lots of loops of:

access("/usr/share/blam", F_OK)         = 0
stat("/usr/share/blam/themesblam", 0x7fff9fb36bf0) = -1 ENOENT (No such file or
directory)
lstat("/usr/share/blam/themesblam", 0x7fff9fb36bf0) = -1 ENOENT (No such file or
directory)

followed by a segfault, presumably when it blew its stack.

Version-Release number of selected component (if applicable):

blam-1.8.3-3.fc7
Comment 1 Peter Gordon 2007-05-30 21:54:52 EDT
Ugh...I see what looks to be the problem in src/Defines.cs.in. I'll try to fix
it and push a new package through. Thanks for your bug report.
Comment 2 Peter Gordon 2007-05-31 02:31:21 EDT
I've added a patch to 1.8.3-4.fc8 in CVS which fixes this issue on my machine
(Core2 Duo, x86_64/Development). If it's still broken for you, please reopen
this bug with further details. Thanks!
Comment 3 Fedora Update System 2007-06-03 23:14:55 EDT
blam-1.8.3-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Bill Nottingham 2007-06-04 17:25:17 EDT
Tested, seems fine. Thanks!
Comment 5 Fedora Update System 2007-06-06 12:43:02 EDT
blam-1.8.3-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Thomas Canniot 2007-07-16 11:06:58 EDT
gnome-sharp is requiered by blam and is not installed when blam is installed.


** (/usr/lib/blam/blam.exe:3660): WARNING **: The following assembly referenced
from /usr/lib/blam/blam.exe could not be loaded:
     Assembly:   gnome-sharp    (assemblyref_index=0)
     Version:    2.16.0.0
     Public Key: 35e10195dab3c99f
The assembly was not found in the Global Assembly Cache, a path listed in the
MONO_PATH environment variable, or in the location of the executing assembly
(/usr/lib/blam).


** (/usr/lib/blam/blam.exe:3660): WARNING **: Could not load file or assembly
'gnome-sharp, Version=2.16.0.0, Culture=neutral,
PublicKeyToken=35e10195dab3c99f' or one of its dependencies.
The entry point method could not be loaded

Installing gnome-sharp resolves the problem.

Note You need to log in before you can comment on or make changes to this bug.